const request = require('request');
const cheerio = require('cheerio');
const express = require('express');
const cors = require('cors');

const app = express();
app.use(cors());
const port = process.env.PORT || 3000;

const urlR = "http://kalimatimarket.gov.np/home/rpricelist";
const urlW = "http://kalimatimarket.gov.np/home/wpricelist";

app.get('/', (req, res) => {
	request(urlR, (error, response, body)=> {
		let retail = [];
	    let $ = cheerio.load(body);
	    $('tr').each(function() {
	    	let temp = [];
	    	$(this).find('td').each(function(i) {
	      		temp.push($(this).text());
	    	});
	    	retail.push(temp);
	    });

	    request(urlW, (error, response, body)=> {
			let wholesale = [];
		    let $ = cheerio.load(body);
		    $('tr').each(function() {
		    	let temp = [];
		    	$(this).find('td').each(function(i) {
		      		temp.push($(this).text());
		    	});
		    	wholesale.push(temp);
		    });

		    let reply = {
		    	"retail"	: retail,
		    	"wholesale"	: wholesale
		    }
		    res.send(reply);
		});
	});
});

app.listen(port, () => {
	console.log('Server Up and running on PORT', port);
});